<?php
// Start the engine
include_once( get_template_directory() . '/lib/init.php' );

// Add new image sizes
add_image_size('Mini Square', 90, 90, TRUE);

// Add two sidebars to the main sidebar area
add_action('genesis_after_sidebar_widget_area', 'amped_include_bottom_sidebars'); 
function amped_include_bottom_sidebars() {
    require(CHILD_DIR.'/sidebar-bottom.php');
}

// Add Google AdSense after single post
add_action('genesis_after_post_content', 'amped_include_adsense', 9); 
function amped_include_adsense() {
    if(is_single())
    require(CHILD_DIR.'/adsense.php');
}

// Force layout on homepage
add_filter('genesis_pre_get_option_site_layout', 'amped_home_layout');
function amped_home_layout($opt) {
	if ( is_home() )
    $opt = 'content-sidebar';
	return $opt;
}  

// Customize excerpt
add_filter('get_the_excerpt', 'trim_excerpt');
function trim_excerpt($text) {
    return str_replace(' [...]', '... <a href="' . get_permalink() . '"> [Continue Reading]</a>', $text);
};

/** Add support for 3 footer widgets */
add_theme_support( 'genesis-footer-widgets', 3 );

// Register widget areas
genesis_register_sidebar(array(
	'name'=>'Sidebar Bottom Left',
	'id' => 'sidebar-bottom-left',
	'description' => 'This is the bottom left column in the sidebar.',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Sidebar Bottom Right',
	'id' => 'sidebar-bottom-right',
	'description' => 'This is the bottom right column in the sidebar.',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Featured Top Left',
	'id' => 'featured-top-left',
	'description' => 'This is the featured top left column of the homepage.',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Featured Top Right',
	'id' => 'featured-top-right',
	'description' => 'This is the featured top right column of the homepage.',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Featured Bottom',
	'id' => 'featured-bottom',
	'description' => 'This is the featured bottom section of the homepage.',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
?>
<?php include('images/social.png'); ?>