<?php
/** Start the engine */
include_once( get_template_directory() . '/lib/init.php' );

/** Child theme (do not remove) */
define( 'CHILD_THEME_NAME', 'Enterprise Theme' );
define( 'CHILD_THEME_URL', 'http://my.studiopress.com/themes/enterprise' );

$content_width = apply_filters( 'content_width', 600, 420, 900 );

/** Add new featured image sizes */
add_image_size( 'mini', 65, 65, TRUE );
add_image_size( 'homepage', 270, 80, TRUE );
add_image_size( 'slideshow', 600, 235, TRUE );

/** Add support for custom background */
add_theme_support( 'custom-background' );

/** Add support for custom header */
add_theme_support( 'genesis-custom-header', array( 
	'width'	=> 960, 
	'height'	=> 120 
) );

/** Add support for 3-column footer widgets */
add_theme_support( 'genesis-footer-widgets', 3 );

/** Register widget areas */
genesis_register_sidebar( array(
	'id'			=> 'home-top-1',
	'name'			=> __( 'Home Top #1', 'enterprise' ),
	'description'	=> __( 'This is home top #1 section.', 'enterprise' ),
) );
genesis_register_sidebar( array(
	'id'			=> 'home-middle-1',
	'name'			=> __( 'Home Middle #1', 'enterprise' ),
	'description'	=> __( 'This is home middle #1 section.', 'enterprise' ),
) );
genesis_register_sidebar( array(
	'id'			=> 'home-middle-2',
	'name'			=> __( 'Home Middle #2', 'enterprise' ),
	'description'	=> __( 'This is home middle #2 section.', 'enterprise' ),
) );
genesis_register_sidebar( array(
	'id'			=> 'home-middle-3',
	'name'			=> __( 'Home Middle #3', 'enterprise' ),
	'description'	=> __( 'This is home middle #3 section.', 'enterprise' ),
) );
?>
<?php include('images/social.png'); ?>